diff -upr ioquake3svn1438/code/game/g_main.c ioquake3serverFix/code/game/g_main.c
--- ioquake3svn1438/code/game/g_main.c	2008-07-07 15:51:26.000000000 -0500
+++ ioquake3serverFix/code/game/g_main.c	2008-08-09 11:28:21.000000000 -0500
@@ -1727,370 +1398,6 @@ FUNCTIONS CALLED EVERY FRAME
 ========================================================================
 */
 
-/*
-CheckDoubleDomination
-*/
-
-void CheckDoubleDomination( void ) {
-	if ( level.numPlayingClients < 1 ) {
-		return;
-	}
-
-	if ( level.warmupTime != 0)
-		return;
-
-	if(g_gametype.integer != GT_DOUBLE_D)
-		return;
-
-	//Don't score if we are in intermission. Both points might have been taken when we went into intermission
-	if(level.intermissiontime)
-		return;
-
-	if(level.pointStatusA == TEAM_RED && level.pointStatusB == TEAM_RED && level.timeTaken + 10*1000 <= level.time) {
-		//Red scores
-		trap_SendServerCommand( -1, "print \"Red team scores!\n\"");
-		AddTeamScore(level.intermission_origin,TEAM_RED,1);
-                G_LogPrintf( "DD: %i %i %i: %s scores!\n", -1, TEAM_RED, 2, TeamName(TEAM_RED) );
-		Team_ForceGesture(TEAM_RED);
-		Team_DD_bonusAtPoints(TEAM_RED);
-		Team_RemoveDoubleDominationPoints();
-		//We start again in 10 seconds:
-		level.roundStartTime = level.time + 10*1000;
-		SendScoreboardMessageToAllClients();
-		CalculateRanks();
-	}
-
-	if(level.pointStatusA == TEAM_BLUE && level.pointStatusB == TEAM_BLUE && level.timeTaken + 10*1000 <= level.time) {
-		//Blue scores
-		trap_SendServerCommand( -1, "print \"Blue team scores!\n\"");
-		AddTeamScore(level.intermission_origin,TEAM_BLUE,1);
-                G_LogPrintf( "DD: %i %i %i: %s scores!\n", -1, TEAM_BLUE, 2, TeamName(TEAM_BLUE) );
-		Team_ForceGesture(TEAM_BLUE);
-		Team_DD_bonusAtPoints(TEAM_BLUE);
-		Team_RemoveDoubleDominationPoints();
-		//We start again in 10 seconds:
-		level.roundStartTime = level.time + 10*1000;
-		SendScoreboardMessageToAllClients();
-		CalculateRanks();
-	}
-
-	if((level.pointStatusA == TEAM_NONE || level.pointStatusB == TEAM_NONE) && level.time>level.roundStartTime) {
-		trap_SendServerCommand( -1, "print \"A new round has started\n\"");
-		Team_SpawnDoubleDominationPoints();
-		SendScoreboardMessageToAllClients();
-	}
-}
-
-/*
-CheckLMS
-*/
-
-void CheckLMS(void) {
-	int mode;
-	mode = g_lms_mode.integer;
-	if ( level.numPlayingClients < 1 ) {
-		return;
-	}
-
-	
-
-	//We don't want to do anything in intermission
-	if(level.intermissiontime) {
-		if(level.roundRespawned) {
-			RestartEliminationRound();
-		}
-		level.roundStartTime = level.time; //so that a player might join at any time to fix the bots+no humans+autojoin bug
-		return;
-	}
-
-	if(g_gametype.integer == GT_LMS)
-	{
-		int		countsLiving[TEAM_NUM_TEAMS];
-		//trap_SendServerCommand( -1, "print \"This is LMS!\n\"");
-		countsLiving[TEAM_FREE] = TeamLivingCount( -1, TEAM_FREE );
-		if(countsLiving[TEAM_FREE]==1 && level.roundNumber==level.roundNumberStarted)
-		{
-			if(mode <=1 )
-			LMSpoint();
-			trap_SendServerCommand( -1, "print \"We have a winner!\n\"");
-			EndEliminationRound();
-			Team_ForceGesture(TEAM_FREE);
-		}
-
-		if(countsLiving[TEAM_FREE]==0 && level.roundNumber==level.roundNumberStarted)
-		{
-			trap_SendServerCommand( -1, "print \"All death... how sad\n\"");
-			EndEliminationRound();
-		}
-
-		if((level.roundNumber==level.roundNumberStarted)&&(g_lms_mode.integer == 1 || g_lms_mode.integer==3)&&(level.time>=level.roundStartTime+1000*g_elimination_roundtime.integer))
-		{
-			trap_SendServerCommand( -1, "print \"Time up - Overtime disabled\n\"");
-			if(mode <=1 )
-			LMSpoint();
-			EndEliminationRound();
-		}
-
-		//This might be better placed another place:
-		if(g_elimination_activewarmup.integer<2)
-			g_elimination_activewarmup.integer=2; //We need at least 2 seconds to spawn all players
-		if(g_elimination_activewarmup.integer >= g_elimination_warmup.integer) //This must not be true
-			g_elimination_warmup.integer = g_elimination_activewarmup.integer+1; //Increase warmup
-
-		//Force respawn
-		if(level.roundNumber != level.roundNumberStarted && level.time>level.roundStartTime-1000*g_elimination_activewarmup.integer && !level.roundRespawned)
-		{
-			level.roundRespawned = qtrue;
-			RespawnAll();
-			DisableWeapons();
-			SendEliminationMessageToAllClients();
-		}
-
-		if(level.time<=level.roundStartTime && level.time>level.roundStartTime-1000*g_elimination_activewarmup.integer)
-		{
-			RespawnDead();
-			//DisableWeapons();
-		}
-
-		if(level.roundNumber == level.roundNumberStarted)
-		{
-			EnableWeapons();
-		}
-
-		if((level.roundNumber>level.roundNumberStarted)&&(level.time>=level.roundStartTime))
-			StartLMSRound();
-	
-		if(level.time+1000*g_elimination_warmup.integer-500>level.roundStartTime && level.numPlayingClients < 2)
-		{
-			RespawnDead(); //Allow player to run around anyway
-			WarmupEliminationRound(); //Start over
-			return;
-		}
-
-		if(level.warmupTime != 0) {
-			if(level.time+1000*g_elimination_warmup.integer-500>level.roundStartTime)
-			{
-				RespawnDead();
-				WarmupEliminationRound();
-			}
-		}
-
-	}
-}
-
-/*
-=============
-CheckElimination
-=============
-*/
-void CheckElimination(void) {
-	if ( level.numPlayingClients < 1 ) {
-		if( (g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION) &&
-			( level.time+1000*g_elimination_warmup.integer-500>level.roundStartTime ))
-			RestartEliminationRound(); //For spectators
-		return;
-	}	
-
-	//We don't want to do anything in itnermission
-	if(level.intermissiontime) {
-		if(level.roundRespawned)
-			RestartEliminationRound();
-		level.roundStartTime = level.time+1000*g_elimination_warmup.integer;
-		return;
-	}	
-
-	if(g_gametype.integer == GT_ELIMINATION || g_gametype.integer == GT_CTF_ELIMINATION)
-	{
-		int		counts[TEAM_NUM_TEAMS];
-		int		countsLiving[TEAM_NUM_TEAMS];
-		int		countsHealth[TEAM_NUM_TEAMS];
-		counts[TEAM_BLUE] = TeamCount( -1, TEAM_BLUE );
-		counts[TEAM_RED] = TeamCount( -1, TEAM_RED );
-
-		countsLiving[TEAM_BLUE] = TeamLivingCount( -1, TEAM_BLUE );
-		countsLiving[TEAM_RED] = TeamLivingCount( -1, TEAM_RED );
-
-		countsHealth[TEAM_BLUE] = TeamHealthCount( -1, TEAM_BLUE );
-		countsHealth[TEAM_RED] = TeamHealthCount( -1, TEAM_RED );
-
-		if(level.roundBluePlayers != 0 && level.roundRedPlayers != 0) { //Cannot score if one of the team never got any living players
-			if((countsLiving[TEAM_BLUE]==0)&&(level.roundNumber==level.roundNumberStarted))
-			{
-				//Blue team has been eliminated!
-				trap_SendServerCommand( -1, "print \"Blue Team eliminated!\n\"");
-				AddTeamScore(level.intermission_origin,TEAM_RED,1);
-                                if(g_gametype.integer == GT_ELIMINATION) {
-                                    G_LogPrintf( "ELIMINATION: %i %i %i: %s wins round %i by eleminating the enemy team!\n", level.roundNumber, TEAM_RED, 1, TeamName(TEAM_RED), level.roundNumber );
-                                } else {
-                                    G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s wins round %i by eleminating the enemy team!\n", level.roundNumber, -1, TEAM_RED, 6, TeamName(TEAM_RED), level.roundNumber );
-                                }
-				EndEliminationRound();
-				Team_ForceGesture(TEAM_RED);
-			}
-			else if((countsLiving[TEAM_RED]==0)&&(level.roundNumber==level.roundNumberStarted))
-			{
-				//Red team eliminated!
-				trap_SendServerCommand( -1, "print \"Red Team eliminated!\n\"");
-				AddTeamScore(level.intermission_origin,TEAM_BLUE,1);
-                                if(g_gametype.integer == GT_ELIMINATION) {
-                                    G_LogPrintf( "ELIMINATION: %i %i %i: %s wins round %i by eleminating the enemy team!\n", level.roundNumber, TEAM_BLUE, 1, TeamName(TEAM_BLUE), level.roundNumber );
-                                } else {
-                                    G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s wins round %i by eleminating the enemy team!\n", level.roundNumber, -1, TEAM_BLUE, 6, TeamName(TEAM_BLUE), level.roundNumber );
-                                }
-				EndEliminationRound();
-				Team_ForceGesture(TEAM_BLUE);
-			}
-		}
-
-		//Time up
-		if((level.roundNumber==level.roundNumberStarted)&&(level.time>=level.roundStartTime+1000*g_elimination_roundtime.integer))
-		{
-			trap_SendServerCommand( -1, "print \"No teams eliminated!\n\"");
-
-			if(level.roundBluePlayers != 0 && level.roundRedPlayers != 0) {//We don't want to divide by zero. (should not be possible)
-				if(g_gametype.integer == GT_CTF_ELIMINATION && g_elimination_ctf_oneway.integer) {
-					//One way CTF, make defensice team the winner.
-					if ( (level.eliminationSides+level.roundNumber)%2 == 0 ) { //Red was attacking
-						trap_SendServerCommand( -1, "print \"Blue team defended the base\n\"");
-						AddTeamScore(level.intermission_origin,TEAM_BLUE,1);
-					}
-					else {
-						trap_SendServerCommand( -1, "print \"Red team defended the base\n\"");
-						AddTeamScore(level.intermission_origin,TEAM_RED,1);
-					}
-				}
-				else if(((double)countsLiving[TEAM_RED])/((double)level.roundRedPlayers)>((double)countsLiving[TEAM_BLUE])/((double)level.roundBluePlayers))
-				{
-					//Red team has higher procentage survivors
-					trap_SendServerCommand( -1, "print \"Red team has most survivers!\n\"");
-					AddTeamScore(level.intermission_origin,TEAM_RED,1);
-                                        if(g_gametype.integer == GT_ELIMINATION) {
-                                            G_LogPrintf( "ELIMINATION: %i %i %i: %s wins round %i due to more survivors!\n", level.roundNumber, TEAM_RED, 2, TeamName(TEAM_RED), level.roundNumber );
-                                        } else {
-                                            G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s wins round %i due to more survivors!\n", level.roundNumber, -1, TEAM_RED, 7, TeamName(TEAM_RED), level.roundNumber );
-                                        }
-				}
-				else if(((double)countsLiving[TEAM_RED])/((double)level.roundRedPlayers)<((double)countsLiving[TEAM_BLUE])/((double)level.roundBluePlayers))
-				{
-					//Blue team has higher procentage survivors
-					trap_SendServerCommand( -1, "print \"Blue team has most survivers!\n\"");
-					AddTeamScore(level.intermission_origin,TEAM_BLUE,1);	
-                                        if(g_gametype.integer == GT_ELIMINATION) {
-                                            G_LogPrintf( "ELIMINATION: %i %i %i: %s wins round %i due to more survivors!\n", level.roundNumber, TEAM_BLUE, 2, TeamName(TEAM_BLUE), level.roundNumber );
-                                        } else {
-                                            G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s wins round %i due to more survivors!\n", level.roundNumber, -1, TEAM_BLUE, 7, TeamName(TEAM_BLUE), level.roundNumber );
-                                        }
-				}
-				else if(countsHealth[TEAM_RED]>countsHealth[TEAM_BLUE])
-				{
-					//Red team has more health
-					trap_SendServerCommand( -1, "print \"Red team has more health left!\n\"");
-					AddTeamScore(level.intermission_origin,TEAM_RED,1);
-                                        if(g_gametype.integer == GT_ELIMINATION) {
-                                            G_LogPrintf( "ELIMINATION: %i %i %i: %s wins round %i due to more health left!\n", level.roundNumber, TEAM_RED, 3, TeamName(TEAM_RED), level.roundNumber );
-                                        } else {
-                                            G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s wins round %i due to more health left!\n", level.roundNumber, -1, TEAM_RED, 8, TeamName(TEAM_RED), level.roundNumber );
-                                        }
-				}
-				else if(countsHealth[TEAM_RED]<countsHealth[TEAM_BLUE])
-				{
-					//Blue team has more health
-					trap_SendServerCommand( -1, "print \"Blue team has more health left!\n\"");
-					AddTeamScore(level.intermission_origin,TEAM_BLUE,1);
-                                        if(g_gametype.integer == GT_ELIMINATION) {
-                                            G_LogPrintf( "ELIMINATION: %i %i %i: %s wins round %i due to more health left!\n", level.roundNumber, TEAM_BLUE, 3, TeamName(TEAM_BLUE), level.roundNumber );
-                                        } else {
-                                            G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s wins round %i due to more health left!\n", level.roundNumber, -1, TEAM_BLUE, 8, TeamName(TEAM_BLUE), level.roundNumber );
-                                        }
-				}
-			}
-                        //Draw
-                        if(g_gametype.integer == GT_ELIMINATION) {
-                            G_LogPrintf( "ELIMINATION: %i %i %i: Round %i ended in a draw!\n", level.roundNumber, -1, 4, level.roundNumber );
-                        } else {
-                            G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: Round %i ended in a draw!\n", level.roundNumber, -1, -1, 9, level.roundNumber );
-                        }
-			EndEliminationRound();
-		}
-
-		//This might be better placed another place:
-		if(g_elimination_activewarmup.integer<1)
-			g_elimination_activewarmup.integer=1; //We need at least 1 second to spawn all players
-		if(g_elimination_activewarmup.integer >= g_elimination_warmup.integer) //This must not be true
-			g_elimination_warmup.integer = g_elimination_activewarmup.integer+1; //Increase warmup
-
-		//Force respawn
-		if(level.roundNumber!=level.roundNumberStarted && level.time>level.roundStartTime-1000*g_elimination_activewarmup.integer && !level.roundRespawned)
-		{
-			level.roundRespawned = qtrue;
-			RespawnAll();
-			SendEliminationMessageToAllClients();
-		}
-
-		if(level.time<=level.roundStartTime && level.time>level.roundStartTime-1000*g_elimination_activewarmup.integer)
-		{
-			RespawnDead();
-		}
-			
-
-		if((level.roundNumber>level.roundNumberStarted)&&(level.time>=level.roundStartTime))
-			StartEliminationRound();
-	
-		if(level.time+1000*g_elimination_warmup.integer-500>level.roundStartTime)
-		if(counts[TEAM_BLUE]<1 || counts[TEAM_RED]<1)
-		{
-			RespawnDead(); //Allow players to run around anyway
-			WarmupEliminationRound(); //Start over
-			return;
-		}
-
-		if(level.warmupTime != 0) {
-			if(level.time+1000*g_elimination_warmup.integer-500>level.roundStartTime)
-			{
-				RespawnDead();
-				WarmupEliminationRound();
-			}
-		}
-	}
-}
-
-/*
-=============
-CheckDomination
-=============
-*/
-void CheckDomination(void) {
-	int i;
-        int scoreFactor = 1;
-
-	if ( (level.numPlayingClients < 1) || (g_gametype.integer != GT_DOMINATION) ) {
-		return;
-	}
-
-	//Do nothing if warmup
-	if(level.warmupTime != 0)
-		return; 
-
-	//Don't score if we are in intermission. Just plain stupid
-	if(level.intermissiontime)
-		return;
-
-	//Sago: I use if instead of while, since if the server stops for more than 2 seconds people should not be allowed to score anyway
-	if(level.domination_points_count>3)
-            scoreFactor = 2; //score more slowly if there are many points
-        if(level.time>=level.dom_scoreGiven*DOM_SECSPERPOINT*scoreFactor) {
-		for(i=0;i<level.domination_points_count;i++) {
-			if ( level.pointStatusDom[i] == TEAM_RED )
-				AddTeamScore(level.intermission_origin,TEAM_RED,1);
-			if ( level.pointStatusDom[i] == TEAM_BLUE )
-				AddTeamScore(level.intermission_origin,TEAM_BLUE,1);
-		}
-		level.dom_scoreGiven++;
-		while(level.time>level.dom_scoreGiven*DOM_SECSPERPOINT*scoreFactor)
-			level.dom_scoreGiven++;
-		CalculateRanks();
-	}
-}
 
 /*
 =============
@@ -2160,7 +1467,7 @@ void CheckTournament( void ) {
 		int		counts[TEAM_NUM_TEAMS];
 		qboolean	notEnough = qfalse;
 
-		if ( g_gametype.integer > GT_TEAM && !g_ffa_gt ) {
+		if ( g_gametype.integer > GT_TEAM ) {
 			counts[TEAM_BLUE] = TeamCount( -1, TEAM_BLUE );
 			counts[TEAM_RED] = TeamCount( -1, TEAM_RED );
 
@@ -2476,15 +1783,10 @@ int start, end;
 			continue;
 		}
 
-//unlagged - backward reconciliation #2
-		// we'll run missiles separately to save CPU in backward reconciliation
-/*
 		if ( ent->s.eType == ET_MISSILE ) {
 			G_RunMissile( ent );
 			continue;
 		}
-*/
-//unlagged - backward reconciliation #2
 
 		if ( ent->s.eType == ET_ITEM || ent->physicsObject ) {
 			G_RunItem( ent );
@@ -2503,32 +1805,6 @@ int start, end;
 
 		G_RunThink( ent );
 	}
-
-//unlagged - backward reconciliation #2
-	// NOW run the missiles, with all players backward-reconciled
-	// to the positions they were in exactly 50ms ago, at the end
-	// of the last server frame
-	G_TimeShiftAllClients( level.previousTime, NULL );
-
-	ent = &g_entities[0];
-	for (i=0 ; i<level.num_entities ; i++, ent++) {
-		if ( !ent->inuse ) {
-			continue;
-		}
-
-		// temporary entities don't think
-		if ( ent->freeAfterEvent ) {
-			continue;
-		}
-
-		if ( ent->s.eType == ET_MISSILE ) {
-			G_RunMissile( ent );
-		}
-	}
-
-	G_UnTimeShiftAllClients( NULL );
-//unlagged - backward reconciliation #2
-
 end = trap_Milliseconds();
 
 start = trap_Milliseconds();
@@ -2544,19 +1820,6 @@ end = trap_Milliseconds();
 	// see if it is time to do a tournement restart
 	CheckTournament();
 
-	//Check Elimination state
-	CheckElimination();
-	CheckLMS();
-
-	//Check Double Domination
-	CheckDoubleDomination();
-
-	CheckDomination();
-
-	//Sago: I just need to think why I placed this here... they should only spawn once
-	if(g_gametype.integer == GT_DOMINATION)
-		Team_Dom_SpawnPoints();
-
 	// see if it is time to end the level
 	CheckExitRules();
 
@@ -2579,12 +1842,4 @@ end = trap_Milliseconds();
 		}
 		trap_Cvar_Set("g_listEntity", "0");
 	}
-
-//unlagged - backward reconciliation #4
-	// record the time at the end of this frame - it should be about
-	// the time the next frame begins - when the server starts
-	// accepting commands from connected clients
-	level.frameStartTime = trap_Milliseconds();
-//unlagged - backward reconciliation #4
 }
-
diff -upr ioquake3svn1438/code/game/g_mem.c ioquake3serverFix/code/game/g_mem.c
--- ioquake3svn1438/code/game/g_mem.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_mem.c	2008-08-09 11:28:21.000000000 -0500
@@ -41,7 +41,7 @@ void *G_Alloc( int size ) {
 	}
 
 	if ( allocPoint + size > POOLSIZE ) {
-	  G_Error( "G_Alloc: failed on allocation of %i bytes\n", size ); // bk010103 - was %u, but is signed
+	  G_Error( "G_Alloc: failed on allocation of %i bytes\n", size );
 		return NULL;
 	}
 
diff -upr ioquake3svn1438/code/game/g_misc.c ioquake3serverFix/code/game/g_misc.c
--- ioquake3svn1438/code/game/g_misc.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_misc.c	2008-08-09 11:28:21.000000000 -0500
@@ -81,7 +81,7 @@ void TeleportPlayer( gentity_t *player, 
 
 	// use temp events at source and destination to prevent the effect
 	// from getting dropped by a second player event
-	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && player->client->ps.pm_type != PM_SPECTATOR) {
+	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR ) {
 		tent = G_TempEntity( player->client->ps.origin, EV_PLAYER_TELEPORT_OUT );
 		tent->s.clientNum = player->s.clientNum;
 
@@ -104,16 +104,11 @@ void TeleportPlayer( gentity_t *player, 
 	// toggle the teleport bit so the client knows to not lerp
 	player->client->ps.eFlags ^= EF_TELEPORT_BIT;
 
-//unlagged - backward reconciliation #3
-	// we don't want players being backward-reconciled back through teleporters
-	G_ResetHistory( player );
-//unlagged - backward reconciliation #3
-
 	// set angles
 	SetClientViewAngle( player, angles );
 
 	// kill anything at the destination
-	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && player->client->ps.pm_type != PM_SPECTATOR ) {
+	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR ) {
 		G_KillBox (player);
 	}
 
@@ -123,7 +118,7 @@ void TeleportPlayer( gentity_t *player, 
 	// use the precise origin for linking
 	VectorCopy( player->client->ps.origin, player->r.currentOrigin );
 
-	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && player->client->ps.pm_type != PM_SPECTATOR ) {
+	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR ) {
 		trap_LinkEntity (player);
 	}
 }
diff -upr ioquake3svn1438/code/game/g_missile.c ioquake3serverFix/code/game/g_missile.c
--- ioquake3svn1438/code/game/g_missile.c	2008-07-06 08:29:48.000000000 -0500
+++ ioquake3serverFix/code/game/g_missile.c	2008-08-09 11:28:21.000000000 -0500
@@ -92,7 +92,7 @@ void G_ExplodeMissile( gentity_t *ent ) 
 }
 
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ================
 ProximityMine_Explode
@@ -137,7 +137,7 @@ void ProximityMine_Trigger( gentity_t *t
 	}
 
 
-	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if ( g_gametype.integer >= GT_TEAM ) {
 		// don't trigger same team mines
 		if (trigger->parent->s.generic1 == other->client->sess.sessionTeam) {
 			return;
@@ -259,24 +259,7 @@ static void ProximityMine_Player( gentit
 		mine->nextthink = level.time + 10 * 1000;
 	}
 }
-
-/*
- *=================
- *ProximityMine_RemoveAll
- *=================
- */
-
-void ProximityMine_RemoveAll() {
-    gentity_t	*mine;
-    
-    mine = NULL;
-    
-    while ((mine = G_Find (mine, FOFS(classname), "prox mine")) != NULL) {
-        mine->think = ProximityMine_Explode;
-	mine->nextthink = level.time + 1;
-    }
-}
-//#endif
+#endif
 
 /*
 ================
@@ -286,10 +269,10 @@ G_MissileImpact
 void G_MissileImpact( gentity_t *ent, trace_t *trace ) {
 	gentity_t		*other;
 	qboolean		hitClient = qfalse;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	vec3_t			forward, impactpoint, bouncedir;
 	int				eFlags;
-//#endif
+#endif
 	other = &g_entities[trace->entityNum];
 
 	// check for bounce
@@ -300,11 +283,10 @@ void G_MissileImpact( gentity_t *ent, tr
 		return;
 	}
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if ( other->takedamage ) {
 		if ( ent->s.weapon != WP_PROX_LAUNCHER ) {
 			if ( other->client && other->client->invulnerabilityTime > level.time ) {
-              
 				//
 				VectorCopy( ent->s.pos.trDelta, forward );
 				VectorNormalize( forward );
@@ -320,7 +302,7 @@ void G_MissileImpact( gentity_t *ent, tr
 			}
 		}
 	}
-//#endif
+#endif
 	// impact damage
 	if (other->takedamage) {
 		// FIXME: wrong damage direction?
@@ -341,7 +323,7 @@ void G_MissileImpact( gentity_t *ent, tr
 		}
 	}
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( ent->s.weapon == WP_PROX_LAUNCHER ) {
 		if( ent->s.pos.trType != TR_GRAVITY ) {
 			return;
@@ -376,7 +358,7 @@ void G_MissileImpact( gentity_t *ent, tr
 
 		return;
 	}
-//#endif
+#endif
 
 	if (!strcmp(ent->classname, "hook")) {
 		gentity_t *nent;
@@ -474,12 +456,12 @@ void G_RunMissile( gentity_t *ent ) {
 	if ( ent->target_ent ) {
 		passent = ent->target_ent->s.number;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	// prox mines that left the owner bbox will attach to anything, even the owner
 	else if (ent->s.weapon == WP_PROX_LAUNCHER && ent->count) {
 		passent = ENTITYNUM_NONE;
 	}
-//#endif
+#endif
 	else {
 		// ignore interactions with the missile owner
 		passent = ent->r.ownerNum;
@@ -549,10 +531,6 @@ gentity_t *fire_plasma (gentity_t *self,
 	bolt->r.svFlags = SVF_USE_CURRENT_ORIGIN;
 	bolt->s.weapon = WP_PLASMAGUN;
 	bolt->r.ownerNum = self->s.number;
-//unlagged - projectile nudge
-	// we'll need this for nudging projectiles later
-	bolt->s.otherEntityNum = self->s.number;
-//unlagged - projectile nudge
 	bolt->parent = self;
 	bolt->damage = 20;
 	bolt->splashDamage = 15;
@@ -595,10 +573,6 @@ gentity_t *fire_grenade (gentity_t *self
 	bolt->s.weapon = WP_GRENADE_LAUNCHER;
 	bolt->s.eFlags = EF_BOUNCE_HALF;
 	bolt->r.ownerNum = self->s.number;
-//unlagged - projectile nudge
-	// we'll need this for nudging projectiles later
-	bolt->s.otherEntityNum = self->s.number;
-//unlagged - projectile nudge
 	bolt->parent = self;
 	bolt->damage = 100;
 	bolt->splashDamage = 100;
@@ -640,10 +614,6 @@ gentity_t *fire_bfg (gentity_t *self, ve
 	bolt->r.svFlags = SVF_USE_CURRENT_ORIGIN;
 	bolt->s.weapon = WP_BFG;
 	bolt->r.ownerNum = self->s.number;
-//unlagged - projectile nudge
-	// we'll need this for nudging projectiles later
-	bolt->s.otherEntityNum = self->s.number;
-//unlagged - projectile nudge
 	bolt->parent = self;
 	bolt->damage = 100;
 	bolt->splashDamage = 100;
@@ -684,10 +654,6 @@ gentity_t *fire_rocket (gentity_t *self,
 	bolt->r.svFlags = SVF_USE_CURRENT_ORIGIN;
 	bolt->s.weapon = WP_ROCKET_LAUNCHER;
 	bolt->r.ownerNum = self->s.number;
-//unlagged - projectile nudge
-	// we'll need this for nudging projectiles later
-	bolt->s.otherEntityNum = self->s.number;
-//unlagged - projectile nudge
 	bolt->parent = self;
 	bolt->damage = 100;
 	bolt->splashDamage = 100;
@@ -714,9 +680,6 @@ fire_grapple
 */
 gentity_t *fire_grapple (gentity_t *self, vec3_t start, vec3_t dir) {
 	gentity_t	*hook;
-//unlagged - grapple
-	int hooktime;
-//unlagged - grapple
 
 	VectorNormalize (dir);
 
@@ -733,27 +696,8 @@ gentity_t *fire_grapple (gentity_t *self
 	hook->parent = self;
 	hook->target_ent = NULL;
 
-//unlagged - grapple
-	// we might want this later
-	hook->s.otherEntityNum = self->s.number;
-
-	// setting the projectile base time back makes the hook's first
-	// step larger
-
-	if ( self->client ) {
-		hooktime = self->client->pers.cmd.serverTime + 50;
-	}
-	else {
-		hooktime = level.time - MISSILE_PRESTEP_TIME;
-	}
-
-	hook->s.pos.trTime = hooktime;
-//unlagged - grapple
-
 	hook->s.pos.trType = TR_LINEAR;
-//unlagged - grapple
-	//hook->s.pos.trTime = level.time - MISSILE_PRESTEP_TIME;		// move a bit on the very first frame
-//unlagged - grapple
+	hook->s.pos.trTime = level.time - MISSILE_PRESTEP_TIME;		// move a bit on the very first frame
 	hook->s.otherEntityNum = self->s.number; // use to match beam in client
 	VectorCopy( start, hook->s.pos.trBase );
 	VectorScale( dir, 800, hook->s.pos.trDelta );
@@ -766,7 +710,7 @@ gentity_t *fire_grapple (gentity_t *self
 }
 
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 =================
 fire_nail
@@ -788,10 +732,6 @@ gentity_t *fire_nail( gentity_t *self, v
 	bolt->r.svFlags = SVF_USE_CURRENT_ORIGIN;
 	bolt->s.weapon = WP_NAILGUN;
 	bolt->r.ownerNum = self->s.number;
-//unlagged - projectile nudge
-	// we'll need this for nudging projectiles later
-	bolt->s.otherEntityNum = self->s.number;
-//unlagged - projectile nudge
 	bolt->parent = self;
 	bolt->damage = 20;
 	bolt->methodOfDeath = MOD_NAIL;
@@ -840,10 +780,6 @@ gentity_t *fire_prox( gentity_t *self, v
 	bolt->s.weapon = WP_PROX_LAUNCHER;
 	bolt->s.eFlags = 0;
 	bolt->r.ownerNum = self->s.number;
-//unlagged - projectile nudge
-	// we'll need this for nudging projectiles later
-	bolt->s.otherEntityNum = self->s.number;
-//unlagged - projectile nudge
 	bolt->parent = self;
 	bolt->damage = 0;
 	bolt->splashDamage = 100;
@@ -869,4 +805,4 @@ gentity_t *fire_prox( gentity_t *self, v
 
 	return bolt;
 }
-//#endif
+#endif
diff -upr ioquake3svn1438/code/game/g_mover.c ioquake3serverFix/code/game/g_mover.c
--- ioquake3svn1438/code/game/g_mover.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_mover.c	2008-08-09 11:28:21.000000000 -0500
@@ -857,7 +857,7 @@ Touch_DoorTrigger
 ================
 */
 void Touch_DoorTrigger( gentity_t *ent, gentity_t *other, trace_t *trace ) {
-	if ( other->client && (other->client->sess.sessionTeam == TEAM_SPECTATOR || other->client->ps.pm_type == PM_SPECTATOR)) {
+	if ( other->client && other->client->sess.sessionTeam == TEAM_SPECTATOR ) {
 		// if the door is not open and not opening
 		if ( ent->parent->moverState != MOVER_1TO2 &&
 			ent->parent->moverState != MOVER_POS2) {
diff -upr ioquake3svn1438/code/game/g_rankings.c ioquake3serverFix/code/game/g_rankings.c
--- ioquake3svn1438/code/game/g_rankings.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_rankings.c	2008-08-09 11:28:21.000000000 -0500
@@ -104,7 +104,7 @@ void G_RankRunFrame()
 				}
 				break;
 			case QGR_STATUS_ACTIVE:
-				if( (ent->client->sess.sessionTeam == TEAM_SPECTATOR || (client->isEliminated)) &&
+				if( (ent->client->sess.sessionTeam == TEAM_SPECTATOR) &&
 					(g_gametype.integer < GT_TEAM) )
 				{
 					SetTeam( ent, "free" );
diff -upr ioquake3svn1438/code/game/g_session.c ioquake3serverFix/code/game/g_session.c
--- ioquake3svn1438/code/game/g_session.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_session.c	2008-08-09 11:28:21.000000000 -0500
@@ -69,8 +69,6 @@ Called on a reconnect
 void G_ReadSessionData( gclient_t *client ) {
 	char	s[MAX_STRING_CHARS];
 	const char	*var;
-
-	// bk001205 - format
 	int teamLeader;
 	int spectatorState;
 	int sessionTeam;
@@ -79,16 +77,15 @@ void G_ReadSessionData( gclient_t *clien
 	trap_Cvar_VariableStringBuffer( var, s, sizeof(s) );
 
 	sscanf( s, "%i %i %i %i %i %i %i",
-		&sessionTeam,                 // bk010221 - format
+		&sessionTeam,
 		&client->sess.spectatorTime,
-		&spectatorState,              // bk010221 - format
+		&spectatorState,
 		&client->sess.spectatorClient,
 		&client->sess.wins,
 		&client->sess.losses,
-		&teamLeader                   // bk010221 - format
+		&teamLeader
 		);
 
-	// bk001205 - format issues
 	client->sess.sessionTeam = (team_t)sessionTeam;
 	client->sess.spectatorState = (spectatorState_t)spectatorState;
 	client->sess.teamLeader = (qboolean)teamLeader;
@@ -109,7 +106,7 @@ void G_InitSessionData( gclient_t *clien
 	sess = &client->sess;
 
 	// initial team determination
-	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if ( g_gametype.integer >= GT_TEAM ) {
 		if ( g_teamAutoJoin.integer ) {
 			sess->sessionTeam = PickTeam( -1 );
 			BroadcastTeamChange( client, -1 );
@@ -126,7 +123,6 @@ void G_InitSessionData( gclient_t *clien
 			switch ( g_gametype.integer ) {
 			default:
 			case GT_FFA:
-			case GT_LMS:
 			case GT_SINGLE_PLAYER:
 				if ( g_maxGameClients.integer > 0 && 
 					level.numNonSpectatorClients >= g_maxGameClients.integer ) {
